controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use app\models\Productos;



class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio()
    {
        return $this->render('index');
    }
    
    public function actionProductos()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Productos:: find(),
        ]);
        return $this->render('productos',[
            'datos'=>$dataProvider,
        ]);
    }
    public function actionOfertas()
    {
        $dataProvider = new ActiveDataProvider([
             'query' => Productos::find()->where("oferta=1"),
             'pagination'=>[
                 'pageSize'=>2
             ]
         ]);
        
         return $this->render('productos',[
            'datos' => $dataProvider,
            ]);
        
    }
    public function actionCategorias()
    {
        return $this->render('categorias');
    }
    public function actionDondeestamos()
    {
        return $this->render('dondeestamos');
    }
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Inicio', 'url' => ['/site/inicio']],
            ['label' => 'Ofertas', 'url' => ['/site/ofertas']],
            ['label' => 'Productos', 'url' => ['/site/productos']],
            ['label' => 'Categorias', 'url' => ['/site/categorias']],
            ['label' => 'Nosotros', 'items' => [
                ['label' => 'Donde Estamos', 'url' => ['site/dondeestamos']],
                ['label' => 'Quienes Somos', 'url' => ['site/quienessomos']],
                ['label' => 'Nuestros Productos', 'url' => ['site/nuestrosproductos']],
                '<li class="divider"></li>',
                ['label' => 'Informacion', 'url' => ['site/informacion']],
            ]],
            ['label' => 'Contacto', 'url' => ['/site/contact']],
        ],            
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; La Jota <?= date('Y') ?></p>

        <p class="pull-right">By: <a href="https://github.com/Velismo">Bigheaded</a></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>